import request from '@/utils/request'

// 查询交易明细记录列表
export function listAppTransactionDetails(query) {
  return request({
    url: '/model/AppTransactionDetails/list',
    method: 'get',
    params: query
  })
}

// 查询交易明细记录详细
export function getAppTransactionDetails(id) {
  return request({
    url: '/model/AppTransactionDetails/' + id,
    method: 'get'
  })
}

// 新增交易明细记录
export function addAppTransactionDetails(data) {
  return request({
    url: '/model/AppTransactionDetails',
    method: 'post',
    data: data
  })
}

// 修改交易明细记录
export function updateAppTransactionDetails(data) {
  return request({
    url: '/model/AppTransactionDetails',
    method: 'put',
    data: data
  })
}

// 删除交易明细记录
export function delAppTransactionDetails(id) {
  return request({
    url: '/model/AppTransactionDetails/' + id,
    method: 'delete'
  })
}
